Show / Hide Table of Contents

# Struct Character.CastInfo

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CastInfo

### Fields

| Improve this Doc View Source

#### ActionID

##### Declaration

    public uint ActionID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ActionRecipientsCount

##### Declaration

    public int ActionRecipientsCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ActionRecipientsObjectIdArray

##### Declaration

    public long *ActionRecipientsObjectIdArray

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### ActionType

##### Declaration

    public ActionType ActionType

##### Field Value

Type | Description
--- | ---
ActionType |

| Improve this Doc View Source

#### AdjustedTotalCastTime

##### Declaration

    public float AdjustedTotalCastTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### CastLocation

##### Declaration

    public Vector3 CastLocation

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### CastTargetID

##### Declaration

    public uint CastTargetID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentCastTime

##### Declaration

    public float CurrentCastTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Interruptible

##### Declaration

    public byte Interruptible

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsCasting

##### Declaration

    public byte IsCasting

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TotalCastTime

##### Declaration

    public float TotalCastTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Unk_08

##### Declaration

    public uint Unk_08

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk_30

##### Declaration

    public uint Unk_30

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UsedActionId

##### Declaration

    public uint UsedActionId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UsedActionType

##### Declaration

    public ActionType UsedActionType

##### Field Value

Type | Description
--- | ---
ActionType |